Bug 1266273 - Review Request: python-unicodecsv - Drop-in replacement for csv module which supports unicode strings
Review Request: python-unicodecsv - Drop-in replacement for csv module which ...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthias Runge
Fedora Extras Quality Assurance
:
: 1266996 (view as bug list)
Depends On:
Blocks: RDO-LIBERTY-REVIEWS 1252189 1267003
  Show dependency treegraph
 
Reported: 2015-09-24 19:52 EDT by Alan Pevec
Modified: 2015-10-07 06:52 EDT (History)
5 users (show)

See Also:
Fixed In Version: python-unicodecsv-0.14.1-1.fc24
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-07 06:52:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mrunge: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Alan Pevec 2015-09-24 19:52:52 EDT
Spec URL: https://apevec.fedorapeople.org/fedora/python-unicodecsv.spec
SRPM URL: https://apevec.fedorapeople.org/fedora/python-unicodecsv-0.14.1-1.fc24.src.rpm
Description: The unicodecsv is a drop-in replacement for Python 2's
csv module which supports unicode strings without a hassle.
Fedora Account System Username: apevec
Comment 1 Upstream Release Monitoring 2015-09-28 14:50:50 EDT
williamjmorenor's scratch build of python-unicodecsv-0.14.1-1.fc22.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=11256789
Comment 2 hguemar 2015-09-29 07:29:17 EDT
*** Bug 1266996 has been marked as a duplicate of this bug. ***
Comment 3 Matthias Runge 2015-09-29 07:51:26 EDT
I'm currently blocked by this missing; I hope I'm not stepping on anyone's toes.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated". 10 files have unknown license. Detailed
     output of licensecheck in /home/mrunge/review/1266273-python-
     unicodecsv/licensecheck.txt
[-]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[!]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     python3-unicodecsv
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[!]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python-unicodecsv-0.14.1-1.fc24.noarch.rpm
          python3-unicodecsv-0.14.1-1.fc24.noarch.rpm
          python-unicodecsv-0.14.1-1.fc24.src.rpm
python-unicodecsv.noarch: W: spelling-error Summary(en_US) csv -> cs, cs v, CST
python-unicodecsv.noarch: W: spelling-error Summary(en_US) unicode -> Unicode, uni code, uni-code
python-unicodecsv.noarch: W: spelling-error %description -l en_US csv -> cs, cs v, CST
python-unicodecsv.noarch: W: spelling-error %description -l en_US unicode -> Unicode, uni code, uni-code
python3-unicodecsv.noarch: W: spelling-error Summary(en_US) csv -> cs, cs v, CST
python3-unicodecsv.noarch: W: spelling-error Summary(en_US) unicode -> Unicode, uni code, uni-code
python3-unicodecsv.noarch: W: spelling-error %description -l en_US csv -> cs, cs v, CST
python3-unicodecsv.noarch: W: spelling-error %description -l en_US unicode -> Unicode, uni code, uni-code
python-unicodecsv.src: W: spelling-error Summary(en_US) csv -> cs, cs v, CST
python-unicodecsv.src: W: spelling-error Summary(en_US) unicode -> Unicode, uni code, uni-code
python-unicodecsv.src: W: spelling-error %description -l en_US csv -> cs, cs v, CST
python-unicodecsv.src: W: spelling-error %description -l en_US unicode -> Unicode, uni code, uni-code
python-unicodecsv.src:23: W: unversioned-explicit-provides python2-%{pypi_name}
3 packages and 0 specfiles checked; 0 errors, 13 warnings.




Rpmlint (installed packages)
----------------------------
2 packages and 0 specfiles checked; 0 errors, 0 warnings.



Requires
--------
python-unicodecsv (rpmlib, GLIBC filtered):
    python(abi)

python3-unicodecsv (rpmlib, GLIBC filtered):
    python(abi)



Provides
--------
python-unicodecsv:
    python-unicodecsv
    python2-unicodecsv

python3-unicodecsv:
    python3-unicodecsv



Source checksums
----------------
https://pypi.python.org/packages/source/u/unicodecsv/unicodecsv-0.14.1.tar.gz :
  CHECKSUM(SHA256) this package     : 018c08037d48649a0412063ff4eda26eaa81eff1546dbffa51fa5293276ff7fc
  CHECKSUM(SHA256) upstream package : 018c08037d48649a0412063ff4eda26eaa81eff1546dbffa51fa5293276ff7fc


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -b 1266273



Nearly done.

Please fix provides:
Provides: python2-%{pypi_name} = %{version}-%{release}
and please take care of timestamps for sources.
spectool -g python-unicodecsv.spec
will do.

Those are nits and can be fixed during import though.

PACKAGE APPROVED.
Comment 4 Alan Pevec 2015-09-29 08:42:03 EDT
New Package SCM Request
=======================
Package Name: python-unicodecsv
Short Description: Drop-in replacement for csv module which supports unicode strings
Upstream URL: https://github.com/jdunck/python-unicodecsv
Owners: apevec
Branches: f21 f22 f23 epel7
InitialCC:
Comment 5 Alan Pevec 2015-09-29 10:31:52 EDT
Looks like we might want to drop python3 subpackage, from https://review.openstack.org/226966
> Only use unicodecsv for python 2, since the python 3 module works fine
> with unicode data.

if sys.version_info[0] == 3:	5
    import csv	6
else:	7
    import unicodecsv as csv


But upstream still claims python3 compatibility:
> Supported versions are python 2.7, 3.3, 3.4, 3.5...
Comment 6 Gwyn Ciesla 2015-09-29 15:29:10 EDT
Git done (by process-git-requests).
Comment 7 Alan Pevec 2015-09-30 05:14:00 EDT
> Looks like we might want to drop python3 subpackage

Before doing that, I'd propose upstream to remove and see how that goes:
https://github.com/jdunck/python-unicodecsv/blob/master/setup.py#L25-L27
Comment 8 Alan Pevec 2015-09-30 08:53:14 EDT
Related upstream discussion in https://github.com/jdunck/python-unicodecsv/issues/65

> You're using unicodecsv as a drop-in replacement for csv. The problem is that it's only a reasonable drop-in replacement for Python 2 csv. If it attempted to be a drop-in replacement for Python 3's as well, it would be a different API
Comment 9 Alan Pevec 2015-10-07 06:52:24 EDT
Conclusion from upstream discussion will be clarify package Summary:
https://github.com/jdunck/python-unicodecsv/issues/66#issuecomment-145508768

-Summary: Drop-in replacement for csv module which supports unicode strings
+Summary: Drop-in replacement for Python 2.7's csv module which supports unicode strings

Note You need to log in before you can comment on or make changes to this bug.